Bug 1470638 - Exception: device-mapper: reload ioctl on pdc_dcgiaigafd failed: Device or resource busy
Exception: device-mapper: reload ioctl on pdc_dcgiaigafd failed: Device or r...
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: anaconda (Show other bugs)
7.4
x86_64 Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Anaconda Maintenance Team
Release Test Team
abrt_hash:8db65c00d37ebf6e8de96b4bd91...
:
: 1470639 1476230 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-13 07:04 EDT by Bill Sanford
Modified: 2017-07-28 07:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (226.12 KB, text/plain)
2017-07-13 07:04 EDT, Bill Sanford
no flags Details
File: anaconda.log (8.24 KB, text/plain)
2017-07-13 07:04 EDT, Bill Sanford
no flags Details
File: environ (492 bytes, text/plain)
2017-07-13 07:04 EDT, Bill Sanford
no flags Details

  None (edit)
Description Bill Sanford 2017-07-13 07:04:19 EDT
Description of problem:
Installing Acer M3400 with RHEL 7.4. This error happened as soon as I got the Install Screen depicting language.

Version-Release number of selected component:
anaconda-21.48.22.121-1

The following was filed automatically by anaconda:
anaconda 21.48.22.121-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/block/__init__.py", line 33, in dm_log
    raise Exception, message
  File "/usr/lib64/python2.7/site-packages/block/device.py", line 719, in get_map
    self._RaidSet__map = _dm.map(name=self.name, table=self.rs.dmTable)
  File "/usr/lib64/python2.7/site-packages/block/device.py", line 838, in activate
    self.map.dev.mknod(self.prefix+self.name)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 1779, in handleUdevDMRaidMemberFormat
    rs.activate(mknod=True)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 1990, in handleUdevDeviceFormat
    self.handleUdevDMRaidMemberFormat(info, device)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 1277, in addUdevDevice
    self.handleUdevDeviceFormat(info, device)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 2306, in _populate
    self.addUdevDevice(dev)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 2239, in populate
    self._populate()
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 495, in reset
    self.devicetree.populate(cleanupOnly=cleanupOnly)
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 190, in storageInitialize
    storage.reset()
  File "/usr/lib64/python2.7/threading.py", line 765, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 227, in run
    threading.Thread.run(self, *args, **kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 112, in wait
    self.raise_if_error(name)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/packaging/__init__.py", line 1383, in _runThread
    threadMgr.wait(THREAD_STORAGE)
  File "/usr/lib64/python2.7/threading.py", line 765, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 227, in run
    threading.Thread.run(self, *args, **kwargs)
Exception: device-mapper: reload ioctl on pdc_dcgiaigafd  failed: Device or resource busy

Additional info:
addons:         org_fedora_oscap, com_redhat_kdump
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=/distrotrees/82751/initrd method=http://download.eng.bos.redhat.com/nightly/RHEL-7.4-20170712.n.0/compose/Server/x86_64/os/ repo=http://download.eng.bos.redhat.com/nightly/RHEL-7.4-20170712.n.0/compose/Server/x86_64/os/  BOOT_IMAGE=/distrotrees/82751/kernel 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.10.0-693.el7.x86_64
product:        Red Hat Enterprise Linux 7
release:        Red Hat Enterprise Linux Client release 7.4 (Maipo)
release_type:   pre-release
reproducible:   Not sure how to reproduce the problem
type:           anaconda
version:        7.4

Potential duplicate: bug 1375665
Comment 1 Bill Sanford 2017-07-13 07:04:23 EDT
Created attachment 1297510 [details]
File: anaconda-tb
Comment 2 Bill Sanford 2017-07-13 07:04:24 EDT
Created attachment 1297511 [details]
File: anaconda.log
Comment 3 Bill Sanford 2017-07-13 07:04:25 EDT
Created attachment 1297512 [details]
File: environ
Comment 5 Bill Sanford 2017-07-13 07:07:53 EDT
*** Bug 1470639 has been marked as a duplicate of this bug. ***
Comment 7 Bill Sanford 2017-07-18 09:56:09 EDT
It is David. I will be happy to show you the problem!
Comment 8 Bill Sanford 2017-07-28 07:07:21 EDT
*** Bug 1476230 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.